<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.tasks.testing (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../../org/gradle/api/tasks/testing/package-summary.html" target="classFrame">org.gradle.api.tasks.testing</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="JUnitXmlReport.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>JUnitXmlReport</i></a></li>
<li><a href="TestDescriptor.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestDescriptor</i></a></li>
<li><a href="TestFilter.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestFilter</i></a></li>
<li><a href="TestListener.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestListener</i></a></li>
<li><a href="TestOutputEvent.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestOutputEvent</i></a></li>
<li><a href="TestOutputListener.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestOutputListener</i></a></li>
<li><a href="TestResult.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestResult</i></a></li>
<li><a href="TestTaskReports.html" title="interface in org.gradle.api.tasks.testing" target="classFrame"><i>TestTaskReports</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="Test.html" title="class in org.gradle.api.tasks.testing" target="classFrame">Test</a></li>
<li><a href="TestFrameworkOptions.html" title="class in org.gradle.api.tasks.testing" target="classFrame">TestFrameworkOptions</a></li>
<li><a href="TestReport.html" title="class in org.gradle.api.tasks.testing" target="classFrame">TestReport</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="TestOutputEvent.Destination.html" title="enum in org.gradle.api.tasks.testing" target="classFrame">TestOutputEvent.Destination</a></li>
<li><a href="TestResult.ResultType.html" title="enum in org.gradle.api.tasks.testing" target="classFrame">TestResult.ResultType</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="TestExecutionException.html" title="class in org.gradle.api.tasks.testing" target="classFrame">TestExecutionException</a></li>
</ul>
</div>
</body>
</html>
